Preset categories

Create preset category

POST
/preset/categories
AuthorizationBearer <token>

Token-based authentication using access tokens.

In: header

nameName

Category display name.

description?Description

Optional description of the category.

Defaultnull
thumbnail_url?Thumbnail Url

Optional category thumbnail URL.

Defaultnull

Response Body

Examples

curl -X POST "https://v2.api.piktid.com/preset/categories" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "string"
  }'
{
  "id": "string",
  "name": "string",
  "description": "string",
  "thumbnail_url": "string",
  "visibility": "shared",
  "created_by": "string",
  "created_at": "string"
}
{
  "error": "Invalid request",
  "detail": [
    {
      "field": null,
      "message": "string",
      "position": "query"
    }
  ]
}
Empty
Empty